Subject: bug#41663: 26.3; ffap-rfc-path requires a method for the latest version of tramp

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 22 Oct 2020 15:37:59 +0200

Paul Clark <[email-masked]> writes:

> The default value of ffap-rfc-path, set in
> /usr/share/emacs/26.3/lisp/ffap.el.gz, is
> "/[email-masked]:/in-notes/rfc%s.txt". The method part of
> remote file names is now mandatory in tramp (from Emacs 26.1 according
> to /usr/share/emacs/26.3/etc/NEWS). ffap-rfc-path needs to be changed to
> "/ftp:[email-masked]:/in-notes/rfc%s.txt".

I can reproduce the bug in Emacs 28, but I think a better fix would be
to start using HTTPS instead of FTP here (since few systems have FTP
installed, these days).

So I've done that in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no